summaryrefslogtreecommitdiffstats
path: root/bin/git-checkout-all
diff options
context:
space:
mode:
Diffstat (limited to 'bin/git-checkout-all')
-rwxr-xr-xbin/git-checkout-all28
1 files changed, 28 insertions, 0 deletions
diff --git a/bin/git-checkout-all b/bin/git-checkout-all
new file mode 100755
index 0000000..eef1ad6
--- /dev/null
+++ b/bin/git-checkout-all
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+CURRENT_BRANCH="$(git branch | awk '/^\* / { print $2 }')"
+REMOTE_BRANCHES="$(git branch -r | awk '{ print $1 }')"
+
+for REMOTE_BRANCH in ${REMOTE_BRANCHES}
+do
+ BRANCH="$(echo ${REMOTE_BRANCH} | cut -d/ -f 2-)"
+
+ if [ "${BRANCH}" = "HEAD" ]
+ then
+ continue
+ fi
+
+ if git branch | grep -q "${BRANCH}$"
+ then
+ continue
+ fi
+
+ git checkout -b ${BRANCH} ${REMOTE_BRANCH}
+done
+
+if [ "$(git branch | awk '/^\* / { print $2 }')" != "${CURRENT_BRANCH}" ]
+then
+ git checkout ${CURRENT_BRANCH}
+fi